Results 1 to 3 of 3

Thread: Problems Installing AMD Catalyst 11.2 driver

  1. #1
    Join Date
    Jul 2009
    Posts
    8

    Default Problems Installing AMD Catalyst 11.2 driver

    Hi. I have a Radeon HD 4850 video card. I use a Ubuntu 10.04 (Lucid) based distribution. http://www.bodhilinux.com

    I get errors while installing the latest AMD Catalyst 11.2 driver. I recognized them after while trying to install driver from command line. (without X)

    Here is the fglrx-install log:

    Creating symlink /var/lib/dkms/fglrx/8.821/source ->
    /usr/src/fglrx-8.821

    DKMS: add Completed.
    You can use the --kernelsourcedir option to tell DKMS where it's located, or you could install the linux-headers-2.6.35-24-generic package.
    [Error] Kernel Module : Failed to build fglrx-8.821 with DKMS
    [Error] Kernel Module : Removing fglrx-8.821 from DKMS

    ------------------------------
    Deleting module version: 8.821
    completely from the DKMS tree.
    ------------------------------
    Done.
    [Reboot] Kernel Module : update-initramfs
    Xorg.0.log (only errors)

    [ 271.636] (EE) fglrx(0): ACPI: DRM connection failed

    [ 272.960] (EE) fglrx(0): atiddxDriScreenInit failed, GPS not been initialized.
    [ 272.960] (WW) fglrx(0): ************************************************** *********
    [ 272.960] (WW) fglrx(0): * DRI initialization failed *
    [ 272.960] (WW) fglrx(0): * kernel module (fglrx.ko) may be missing or incompatible *
    [ 272.960] (WW) fglrx(0): * 2D and 3D acceleration disabled *
    [ 272.960] (WW) fglrx(0): ************************************************** *********

    [ 272.986] (EE) fglrx(0): XMM failed to open CMMQS connection.(EE) fglrx(0):
    [ 272.986] (EE) fglrx(0): XMM failed to initialize

    [ 273.256] (EE) fglrx(0): firegl_SetSuspendResumeState FAILED -9.
    And complete Xorg.0.log : http://justpaste.it/8x7

    Any ideas? I didn't choose the option to generate *.deb packages because i thought that it may broke packages. Any help would be appreciated. Thanks..

  2. #2
    Join Date
    Jan 2007
    Location
    Germany
    Posts
    2,177

    Default

    It seems your distribution backported the Ubuntu 10.10 kernel. Anyways, try:

    sudo apt-get install linux-headers-generic and install again.

  3. #3
    Join Date
    Jul 2009
    Posts
    8

    Default

    Hi. linux-headers-generic package is already installed. I retry to install driver but it gives the same error messages. and uname-r output gives 2.6.35-24-generic. i may post the log files again but they are exactly same

Tags for this Thread

Posting Permissions

  • You may not post new threads
  • You may not post replies
  • You may not post attachments
  • You may not edit your posts
  •